maphostname(3)

NAME
maphostname() - inet_ntoa() frontend

SYNOPSIS
#include "fwfunc.h"

char* maphostname(char *name)

DESCRIPTION
The maphostname function converts character host name (fqdn or ip) to an ascii string representing its ip in `.' notation.

If a host does not resolve, a pointer to original name is returned.

RETURN VALUES
The function returns a pointer to resulting string.

SECURITY CONDITIONS
address entry returned by name lookup exceeds sizeof appropriate structure,

action: 'invalid host address length' securityalert is generated, `invalid' is returned.

SEE ALSO
inet_ntoa(3)

HISTORY
The function appears in fwtk since v1.0

BUGS
The return value may point to a static memory area.